# DOMEntityReference Class Reference

`DOMEntityReference` objects may be inserted into the structure model when an entity reference is in the source document, or when the user wishes to insert an entity reference. More...

Inheritance diagram for DOMEntityReference:

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMEntityReference ()
| Destructor.

## Protected Member Functions

Hidden constructors
| DOMEntityReference ()
| DOMEntityReference (const DOMEntityReference &other)

## Detailed Description

`DOMEntityReference` objects may be inserted into the structure model when an entity reference is in the source document, or when the user wishes to insert an entity reference.

Note that character references and references to predefined entities are considered to be expanded by the HTML or XML processor so that characters are represented by their Unicode equivalent rather than by an entity reference. Moreover, the XML processor may completely expand references to entities while building the structure model, instead of providing `DOMEntityReference` objects. If it does provide such objects, then for a given `DOMEntityReference` node, it may be that there is no `DOMEntity` node representing the referenced entity. If such an `DOMEntity` exists, then the subtree of the `DOMEntityReference` node is in general a copy of the `DOMEntity` node subtree. However, this may not be true when an entity contains an unbound namespace prefix. In such a case, because the namespace prefix resolution depends on where the entity reference is, the descendants of the `DOMEntityReference` node may be bound to different namespace URIs.

As for `DOMEntity` nodes, `DOMEntityReference` nodes and all their descendants are readonly.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMEntityReference::DOMEntityReference | ( |  | ) | `[protected]`

DOMEntityReference::DOMEntityReference | ( | const DOMEntityReference & | other | ) | `[protected]`

virtual DOMEntityReference::~DOMEntityReference | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- DOMEntityReference.hpp